# Group Application Processes Group Application Processes ## Gets all of the group application processes in the system. - [GET /groupApplicationProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/group-application-processes/listgroupapplicationprocesses.md): This method will scan all group application processes and and return them to the caller. ## Creates a new group application process record that does not already exist. - [POST /groupApplicationProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/group-application-processes/creategroupapplicationprocess.md): This method will auto-generate an ID and create a new group application process. If an ID is specified for the group application process, an error will be thrown. ## Execute Batch Operations - [POST /groupApplicationProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/group-application-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Gets all of the processes a contact is eligible to use - [GET /groupApplicationProcesses/{tenantId}/eligible/{contactId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/group-application-processes/geteligibleprocesses.md) ## Returns a group application process from the system by its ID. - [DELETE /groupApplicationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/group-application-processes/deletegroupapplicationprocess.md): This method will delete a group application process with the specified ID. ## Returns a group application process from the system by its ID. - [GET /groupApplicationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/group-application-processes/getgroupapplicationprocess.md): This method will look up a group application process by the specified ID and return it back. ## Partially updates a group application process with the specified ID. - [PATCH /groupApplicationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/group-application-processes/patchgroupapplicationprocess.md): This method will patch an existing group application process with the specified ID, using the HTTP PATCH specification. ## Updates a group application process with the specified ID. - [PUT /groupApplicationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/group-application-processes/updategroupapplicationprocess.md): This method will update an existing group application process with the specified ID.